Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-8114

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2014-8114
Last Modified 23 Mar 2015 12:53:19
Published 20 Feb 2015 11:59:02
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2014-8114

Summary

The UberFire Framework 0.3.x does not properly restrict paths, which allows remote attackers to (1) execute arbitrary code by uploading crafted content to FileUploadServlet or (2) read arbitrary files via vectors involving FileDownloadServlet.

Vulnerable Systems

Application

  • Redhat Jboss Uberfire 0.3.0

  • Redhat Jboss Uberfire 0.3.1

  • Redhat Jboss Uberfire 0.3.2

  • Redhat Jboss Uberfire 0.3.3

  • Redhat Uberfire 0.3.0

  • Redhat Uberfire 0.3.1

  • Redhat Uberfire 0.3.2

  • Redhat Uberfire 0.3.3


References

CONFIRM - https://github.com/uberfire/uberfire/commit/21ec50eb15

REDHAT - RHSA-2015:0235

REDHAT - RHSA-2015:0234


Last Updated: 27 May 2016 11:08:09